import {Stack, Typography} from '@mui/material'
import {useShow} from '@refinedev/core'
import {Show, TextFieldComponent} from '@refinedev/mui'
import {LinkedItems} from '../../components/LinkedItems'
import {MediaItem, articleFields, mediaFields} from './types'

export const ArticleShow = () => {
  const {query} = useShow({})
  const {data, isLoading} = query
  const record = data?.data

  return (
    <Show isLoading={isLoading}>
      <Stack gap={4}>
        {articleFields.map(({label, data}) => (
          <Stack key={data} gap={1}>
            <Typography variant="h6" fontWeight="bold">
              {label}
            </Typography>
            <TextFieldComponent value={record?.[data] || ''} />
          </Stack>
        ))}

        {record?.id && <LinkedItems<MediaItem> parentId={record.id} parentResource="article" childResource="media" fields={mediaFields} title="медиа" type="show" />}
      </Stack>
    </Show>
  )
}
