import cn from 'classnames';
import React from 'react';

import './AttractionMedia.css';

interface ImageMediaProps {
  url: string;
  alt: string;
  watermarkUrl?: string;
}

export const ImageMedia = ({ url, alt, watermarkUrl }: ImageMediaProps) => (
  <>
    <img
      src={url}
      alt={alt}
      className={cn('widget-image', {
        'media-with-watermark': watermarkUrl !== null,
      })}
    />
    {watermarkUrl && (
      <img src={watermarkUrl} alt="Watermark" className="watermark" />
    )}
  </>
);
