import { TrackAttractions, TrackLine, TrackStations, TramMarker } from '../index';
import { getMapPoint } from '../../utils';
import { useMapWidgetContext } from '../../MapWidgetContext';

export const MapContent = () => {
  const { rotateAngle, isEditMode, currentPosition, currentStation, nextStation } =
    useMapWidgetContext();

  return (
    <g className="g-transform-origin__center" style={{ transform: `rotate(${rotateAngle}deg)` }}>
      <TrackLine />

      <TrackAttractions />

      <TrackStations />

      {!isEditMode && currentPosition && nextStation && (
        <TramMarker
          coordinates={getMapPoint(currentPosition)}
          nextStopPoint={(currentStation ?? nextStation).pointOnMap}
        />
      )}
    </g>
  );
};
