import { Point, Marker } from "react-simple-maps";
import { Icons } from "@mt/components";
import { AttractionGroupIconSizeType } from "@mt/common-types";

import styles from "./AttractionMarker.module.css";
import cn from "classnames";

interface Props {
  coordinates: Point;
  rotate: number;
  size: AttractionGroupIconSizeType;
  counter?: number;
}

export const AttractionMarker = ({
  coordinates,
  counter = 0,
  rotate,
  size,
}: Props) => {
  return (
    <Marker coordinates={coordinates}>
      <foreignObject
        className={cn({
          [styles.markerLarge]: size === "LARGE",
          [styles.markerSmall]: size === "SMALL",
        })}
      >
        <div
          className="g-transform-origin__center"
          style={{ transform: `rotate(${rotate}deg)` }}
        >
          <Icons.AttractionIcon className={styles.icon} />

          {counter > 1 && <div className={styles.counter}>{counter}</div>}
        </div>
      </foreignObject>
    </Marker>
  );
};
