import { AttractionMarker } from "./AttractionMarker";
import { getMapPoint } from "../../utils";
import { useMapWidgetContext } from "../../MapWidgetContext";

export const TrackAttractions = () => {
  const { attractionGroups, rotateAngle } = useMapWidgetContext();

  return (
    <>
      {attractionGroups.map((group) => (
        <AttractionMarker
          key={
            group.touristAttractionsOnMap[0]?.id ||
            `${group.pointOnMap.lat}:${group.pointOnMap.lon}`
          }
          coordinates={getMapPoint(group.pointOnMap)}
          // Inverse angle to compensate map rotation
          rotate={-rotateAngle}
          counter={group.touristAttractionsOnMap.length}
          size={group.iconSize}
        />
      ))}
    </>
  );
};
