import { useMemo } from "react";
import { Line, Point } from "react-simple-maps";
import { getMapPoint } from "../utils";
import { useMapWidgetContext } from "../MapWidgetContext";
import { zeroCoordinates } from "../map-widget.constant";

const passedTrackColor = "#ed1c24";
const trackColor = "#cccccc";

export const TrackLine = () => {
  const { track, passedTrackIndex, currentPosition } = useMapWidgetContext();
  const mappedTrack: Point[] = useMemo(
    () => (track ? track.map(({ lat, lon }) => [lon, lat]) : []),
    [track]
  );

  return (
    <>
      <Line
        coordinates={mappedTrack}
        strokeWidth={2.5}
        strokeLinecap="round"
        stroke={trackColor}
      />

      <Line
        coordinates={[
          ...mappedTrack.slice(0, passedTrackIndex),
          getMapPoint(currentPosition ?? zeroCoordinates),
        ]}
        strokeWidth={3.5}
        strokeLinecap="round"
        stroke={passedTrackColor}
      />
    </>
  );
};
