import { Coordinates } from '@mt/common-types';
import { getDistance } from './get-distance';

/**
 * This function return deviation of point form the passed straight line
 * If deviation equals 0 this means the point lay on the line
 * otherwise don't and we can draw a triangle by this 3 point
 * @param begin: Point
 * @param end: Point
 * @param point: Point
 * @returns deviation: number
 */
export function getPointDeviation(
  begin: Coordinates,
  end: Coordinates,
  point: Coordinates
): number {
  const distanceBtw = getDistance(begin, end);
  const distanceTo = getDistance(begin, point);
  const distanceFrom = getDistance(point, end);

  return distanceBtw - (distanceFrom + distanceTo);
}
