import { HTMLAttributes, ReactNode } from "react";

import { Icons } from "../Icons";
import { TransportType } from "@mt/common-types";

const transportStopIcons: Record<TransportType, ReactNode> = {
  METRO_RED: <Icons.SubwayIcon width="18" height="18" fill="#E52629" />,
  METRO_BLUE: <Icons.SubwayIcon width="18" height="18" fill="#2D3B8E" />,
  METRO_GREEN: <Icons.SubwayIcon width="18" height="18" fill="#056939" />,
  METRO_ORANGE: <Icons.SubwayIcon width="18" height="18" fill="#EB5C2C" />,
  METRO_PURPLE: <Icons.SubwayIcon width="18" height="18" fill="#64328A" />,
  TRAM: <Icons.TramIcon width="18" height="18" />,
  TRAIN: <Icons.TrainIcon width="18" height="18" />,
  TROLLEY: <Icons.TrolleyIcon width="18" height="18" />,
  BUS: <Icons.BusIcon width="18" height="18" />,
};

export interface TransportIconProps extends HTMLAttributes<HTMLDivElement> {
  type: TransportType;
}

export function TransportIcon({ type, ...props }: TransportIconProps) {
  return <div {...props}>{transportStopIcons[type]}</div>;
}
