import { useEffect, useState } from 'react';

const add0 = (val: number) => `${val < 10 ? '0' : ''}${val}`;
const weekdays = [
  'воскресенье',
  'понедельник',
  'вторник',
  'среда',
  'четверг',
  'пятница',
  'суббота',
  'воскресенье',
];

export function WeatherWidgetTime() {
  const [now, setNow] = useState(new Date());

  useEffect(() => {
    const interval = setInterval(() => setNow(new Date()), 1000);

    return () => clearInterval(interval);
  }, []);

  return (
    <div
      style={{
        textAlign: 'center',
        borderBottom: '1px solid #999',
        paddingBottom: '13px',
      }}
    >
      <div
        style={{
          fontWeight: 600,
          fontSize: '48px',
          lineHeight: '56px',
        }}
      >
        {now.getHours()}
        <span children={':'} style={{ opacity: now.getSeconds() % 4 !== 3 ? 1 : 0 }} />
        {add0(now.getMinutes())}
      </div>
      <div
        style={{
          fontWeight: 400,
          fontSize: '14px',
          lineHeight: '1',
        }}
      >
        {now.getDate()}.{add0(now.getMonth() + 1)}, {weekdays[now.getDay()]}
      </div>
    </div>
  );
}
