import { useLightboxContext } from '@mt/components';
import { Object3DLightbox } from './Object3DLightbox';
import { PhotoSphereLightbox } from './PhotoSphereLightbox';
import {
  Object3DLightboxData,
  PhotoSphereLightboxData,
} from '@mt/common-types';

export const LightboxContent = () => {
  // prettier-ignore
  const { data } = useLightboxContext<PhotoSphereLightboxData | Object3DLightboxData>();

  switch (data.type) {
    case 'PHOTO_SPHERE':
      return (
        <PhotoSphereLightbox
          imageUrl={data.imageUrl}
          watermarkUrl={data.watermarkUrl}
        />
      );
    case 'OBJECT_3D':
      return <Object3DLightbox modelUrl={data.modelUrl} />;
    default:
      return null;
  }
};
