import React from 'react';
import cn from 'classnames';
import { ReactPhotoSphereViewer } from 'react-photo-sphere-viewer';

import './Lightbox.css';
import { useIntl } from 'react-intl';

export const PhotoSphereLightbox = ({
  imageUrl,
  watermarkUrl,
}: {
  imageUrl: string;
  watermarkUrl?: string;
}) => {
  const intl = useIntl();
  const loadingMessage = intl.formatMessage({ id: 'loading' });

  return (
    <ReactPhotoSphereViewer
      src={imageUrl}
      height={'749px'}
      width={'1220px'}
      container={cn('widget-media', {
        'media-with-watermark': watermarkUrl !== null,
      })}
      moveInertia={false}
      navbar={['autorotate', 'zoom']}
      keyboard={false}
      loadingTxt={loadingMessage}
    />
  );
};
