import { Box3, Object3D, PerspectiveCamera, Vector3 } from "three";

const center = new Vector3();
const size = new Vector3();
const boundingBox = new Box3();

export function fitCameraToObject(camera: PerspectiveCamera, object: Object3D) {
  boundingBox.setFromObject(object);
  boundingBox.getCenter(center);
  boundingBox.getSize(size);

  // get the max side of the bounding box (fits to width OR height as needed )
  const maxDim = Math.max(size.x, size.y, size.z);

  camera.position.z = maxDim;
  camera.position.y = maxDim;
  camera.position.x = maxDim;

  camera.updateProjectionMatrix();

  camera.lookAt(center);
}
