import { useCallback } from "react";

import { mapRouteToApi } from "../mappers/mapRouteToApi";
import { MapSettings } from "@mt/components";
import { Route } from "@mt/common-types";
import { useUpdate } from "@refinedev/core";

export const useUpdateRouteData = (routeId: string, previousData: Route) => {
  const update = useUpdate();

  return useCallback(
    (mapSettings: MapSettings, updatedStations) => {
      update({
        resource: "routes",
        id: routeId,
        data: mapRouteToApi(mapSettings, updatedStations, previousData),
      });
    },
    [update, routeId, previousData]
  );
};
