import { Route, RouteStation } from "@admin/types";
import { MapSettings } from "@mt/components";
import { DeepPartial } from "react-hook-form";

export const mapRouteToApi = (
  { rotateAngle, fullScale, zoomedScale, center }: MapSettings,
  updatedStations: Partial<RouteStation>,
  previousData
): DeepPartial<Route> => {
  return {
    ...previousData,
    generalInfo: {
      ...previousData.generalInfo,
      rotate: rotateAngle,
      scale1: fullScale,
      scale2: zoomedScale,
      centerCoordinates: center,
    },
    stations: previousData.stations.map((station: RouteStation) => {
      return updatedStations[station.stationId]
        ? { ...station, ...updatedStations[station.stationId] }
        : station;
    }),
  };
};
