import { LocalizedString } from "@mt/i18n";
import { Coordinates } from "./coordinates.type";
import { uuid } from "./uuid.type";
import { Media } from "./media.type";
import { ArticleBase } from "./article.interface";

export interface AttractionBase {
  id: uuid;
  name: LocalizedString;
  shortName: LocalizedString;
  coordinates: Coordinates;

  shortDetails: {
    imageMedia: Media;
    address: LocalizedString;
    description: LocalizedString;
  };

  iconUrl: string;
  watermark: Media;
  previewMedia: Media;

  articles: ArticleBase[];
}
