import { LocalizedString } from "@mt/i18n";

import { Coordinates } from "./coordinates.type";
import { uuid } from "./uuid.type";
import { OnMapTextAlignment, OnMapOffset } from "./on-map.type";

export interface StationBase {
  id: uuid;
  name: LocalizedString;
  shortName: LocalizedString;
  stationTypeId: uuid;
  iconUrl: string;
}

export interface StationOnMap extends StationBase {
  coordinates: Coordinates;
  labelAlignment: OnMapTextAlignment;
  labelOffset: OnMapOffset;
}
