// TODO: resolve circular deps
import { TransportType, uuid } from "@mt/common-types";

interface StationTypeOption {
  id: uuid;
  type: TransportType;
  name: string;
}

// TODO: Temp Solution! Remove after implement TRANSPORT TYPES in Admin Panel with BE

const StationTypeToUuidMap: Record<TransportType, uuid> = {
  TRAM: "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  TROLLEY: "cbb26715-8126-4129-9647-a3817b08d897",
  BUS: "9664f5eb-2c80-4f02-9c87-663012a7f92e",
  TRAIN: "7b657db6-aaa0-4d5e-b469-2ff94f5ca25e",
  METRO_RED: "a95a25ab-c002-4814-9767-e56e2e8b732c",
  METRO_GREEN: "a8f9c6ae-20e6-4113-9b0d-33710908c178",
  METRO_BLUE: "0764576e-729a-4a44-8f34-166177e5d50a",
  METRO_PURPLE: "5b0679ed-c614-4658-a30b-33c3c61734d4",
  METRO_ORANGE: "4f5d142d-40f0-4a47-9aa9-b9b0e5bc7d15",
};

export const TEMP_STATION_TYPE_MAP: Record<uuid, StationTypeOption> = {
  [StationTypeToUuidMap.TRAM]: {
    id: StationTypeToUuidMap.TRAM,
    type: "TRAM" as TransportType,
    name: "Трамвай",
  },
  [StationTypeToUuidMap.TROLLEY]: {
    id: StationTypeToUuidMap.TROLLEY,
    type: "TROLLEY" as TransportType,
    name: "Троллейбус",
  },
  [StationTypeToUuidMap.BUS]: {
    id: StationTypeToUuidMap.BUS,
    type: "BUS" as TransportType,
    name: "Автобус",
  },
  [StationTypeToUuidMap.TRAIN]: {
    id: StationTypeToUuidMap.TRAIN,
    type: "TRAIN" as TransportType,
    name: "Поезд",
  },
  [StationTypeToUuidMap.METRO_RED]: {
    id: StationTypeToUuidMap.METRO_RED,
    type: "METRO_RED" as TransportType,
    name: "Метро (красная ветка)",
  },
  [StationTypeToUuidMap.METRO_GREEN]: {
    id: StationTypeToUuidMap.METRO_GREEN,
    type: "METRO_GREEN" as TransportType,
    name: "Метро (зеленая ветка)",
  },
  [StationTypeToUuidMap.METRO_BLUE]: {
    id: StationTypeToUuidMap.METRO_BLUE,
    type: "METRO_BLUE" as TransportType,
    name: "Метро (голубая ветка)",
  },
  [StationTypeToUuidMap.METRO_PURPLE]: {
    id: StationTypeToUuidMap.METRO_PURPLE,
    type: "METRO_PURPLE" as TransportType,
    name: "Метро (фиолетовая ветка)",
  },
  [StationTypeToUuidMap.METRO_ORANGE]: {
    id: StationTypeToUuidMap.METRO_ORANGE,
    type: "METRO_ORANGE" as TransportType,
    name: "Метро (оранжевая ветка)",
  },
};

export const TEMP_STATION_TYPES: StationTypeOption[] = Object.values(
  TEMP_STATION_TYPE_MAP
);

export const TEMP_ROUTE_TYPES: StationTypeOption[] = [
  TEMP_STATION_TYPE_MAP[StationTypeToUuidMap.TRAM],
  TEMP_STATION_TYPE_MAP[StationTypeToUuidMap.TROLLEY],
  TEMP_STATION_TYPE_MAP[StationTypeToUuidMap.BUS],
];

export const getStationTypeById = (id: uuid): string => {
  return TEMP_STATION_TYPES.find((type) => type.id === id)?.name ?? "";
};
