import { Track } from '@mt/common-types';
import { StationOnMap } from '@mt/components';

export function mapStationsFromApi(stations: StationOnMap[], track: Track): StationOnMap[] {
  return stations.map<StationOnMap>((station) => {
    const { pointOnMap } = station;
    const trackIndex = track.findIndex(
      (trackPoint) => pointOnMap.lat === trackPoint.lat && pointOnMap.lon === trackPoint.lon
    );

    return {
      ...station,
      pointOnMap: {
        ...pointOnMap,
        trackIndex,
      },
    };
  });
}
