import { UseQueryResult, useQuery } from "@tanstack/react-query";
import { MapData } from "@mt/components";
import { mapStationsFromApi } from "./mapStationsFromApi";

export function useGetMapData(): UseQueryResult<MapData> {
  return useQuery<MapData>({
    queryKey: ["getMapData"],
    queryFn: async () => {
      const { stationsOnMap, trackPoints, ...rest } = await fetch(
        "https://localhost:8443/widgets/route-map/data"
      ).then((res) => res.json());

      return {
        trackPoints,
        stationsOnMap: mapStationsFromApi(stationsOnMap, trackPoints),
        ...rest,
      };
    },
    refetchOnWindowFocus: false,
  });
}
