import { useQuery } from "@tanstack/react-query";
import { useEffect } from "react";
import { useEventQuery } from "@mt/utils";
import { RouteInfoData } from "@mt/components";

export const useGetRouteInfo = () => {
  const { data, isSuccess } = useEventQuery(
    // 'getRouteInfoEvents',
    "/widgets/route-info/events",
    ["REFRESH_DATA"]
  );

  const routeInfoQuery = useQuery<RouteInfoData>({
    queryKey: ["getRouteInfo"],
    queryFn: async () =>
      await fetch("https://localhost:8443/widgets/route-info/data").then(
        (res) => res.json()
      ),
  });

  useEffect(() => {
    if (isSuccess && data.length) {
      routeInfoQuery.refetch();
    }
  }, [data, isSuccess]);

  return routeInfoQuery;
};
