import { HTMLAttributes } from 'react';

import { uuid } from '@mt/common-types';
import { AttractionShortPreview } from '@mt/components';
import { useGetAttractionDetails } from '../../hooks/useGetAttractionDetails';

import styles from './AttractionCard.module.css';

interface AttractionCardProps {
  attractionId: uuid;
}

export function AttractionCard({ attractionId }: AttractionCardProps) {
  const { isSuccess, data: attractionDetails } = useGetAttractionDetails(attractionId);

  if (!(isSuccess && attractionDetails)) {
    return null;
  }

  return <AttractionShortPreview className={styles.root} {...attractionDetails} />;
}
