import { ButtonBase } from "@mui/material";
import { FormattedMessage } from "react-intl";

import { HTMLAttributes } from "react";
import { NavTabs } from "../../nav-widget";
import { Icons } from "@mt/components";

interface Props extends HTMLAttributes<HTMLDivElement> {
  onOpenTab: (tabName: NavTabs) => void;
}

export const HomeTab = ({ onOpenTab, ...props }: Props) => {
  return (
    <div className="g-flex-column" style={{ height: "100%" }} {...props}>
      <div className="g-flex-column__item-fixed">
        <Icons.GerbIcon />
      </div>

      <div className="g-flex-column__item g-flex-column g-flex--justify-center">
        <ButtonBase
          className="tab-button"
          onPointerUp={() => onOpenTab("attractionsTab")}
        >
          <FormattedMessage id="attractions" />
        </ButtonBase>

        <ButtonBase
          className="tab-button"
          onPointerUp={() => onOpenTab("stationsTab")}
        >
          <FormattedMessage id="stops" />
        </ButtonBase>
      </div>

      <div
        className="g-flex-column__item-fixed"
        style={{ textAlign: "center" }}
      >
        <img src="/assets/icons/company-logo.svg" alt="company-logo" />

        <p className="slogan">
          <FormattedMessage id="slogan" values={{ br: <br /> }} />
        </p>

        <p className="hashtag">
          <FormattedMessage id="hashtag" />
        </p>
      </div>
    </div>
  );
};
