import { uuid } from "@mt/common-types";
import { AttractionDetailsBE } from "../nav-widget.interface";
import { AttractionShortPreviewProps } from "@mt/components";
import { UseQueryResult, useQuery } from "@tanstack/react-query";

export function useGetAttractionDetails(
  touristAttractionId: uuid
): UseQueryResult<AttractionShortPreviewProps> {
  return useQuery({
    queryKey: ["getAttractionDetails", touristAttractionId],
    queryFn: async () => {
      const {
        touristAttractionAddress: subtitle,
        touristAttractionDescription: content,
        touristAttractionName: title,
        touristAttractionImageUrl: img,
      }: AttractionDetailsBE = await fetch(
        "https://localhost:8443/widgets/attraction-info/data-by-params?" +
          new URLSearchParams({
            touristAttractionId: touristAttractionId as string,
          })
      ).then((res) => res.json());

      return { img, title, subtitle, content };
    },
  });
}
