import { UseQueryResult, useQuery } from "@tanstack/react-query";
import { Attraction } from "../nav-widget.interface";
import { useEventQuery } from "@mt/utils";
import { useEffect } from "react";

export function useGetAttractions(): UseQueryResult<Attraction[]> {
  const { data, isSuccess } = useEventQuery(
    // 'getAttractionsEvents',
    "/widgets/attraction-list/events",
    ["REFRESH_DATA"]
  );

  const attractionQuery = useQuery({
    queryKey: ["getAttractions"],
    queryFn: async () =>
      await fetch("https://localhost:8443/widgets/attraction-list/data")
        .then((res) => res.json())
        .then(({ touristAttractions }) => touristAttractions),
  });

  useEffect(() => {
    if (isSuccess && data.length) {
      attractionQuery.refetch();
    }
  }, [data, isSuccess]);

  return attractionQuery;
}
