import { UseQueryResult, useQuery } from "@tanstack/react-query";
import { Station } from "../nav-widget.interface";
import { useEventQuery } from "@mt/utils";
import { useEffect } from "react";

export function useGetStations(): UseQueryResult<Station[]> {
  const { data = [], isSuccess } = useEventQuery(
    // 'getStationsEvents',
    "/widgets/station-list/events",
    ["REFRESH_DATA"]
  );

  const stationQuery = useQuery({
    queryKey: ["getStations"],
    queryFn: async () => {
      const { stations } = await fetch(
        "https://localhost:8443/widgets/station-list/data"
      ).then((res) => res.json());

      return stations;
    },
  });

  useEffect(() => {
    if (isSuccess && data.length) {
      stationQuery.refetch();
    }
  }, [data, isSuccess]);

  return stationQuery;
}
