import { HTMLAttributes } from "react";
import { NavWidget } from "./nav-widget";
import { useGetStations } from "./hooks/useGetStations";
import { useGetAttractions } from "./hooks";

export function NavWidgetContainer(props: HTMLAttributes<HTMLDivElement>) {
  const { data: stations } = useGetStations();
  const { data: attractions } = useGetAttractions();

  if (!stations || !attractions) {
    return null;
  }

  return <NavWidget {...props} attractions={attractions} stations={stations} />;
}
