export type WeatherTypes =
  | 'CLOUDY'
  | 'PARTLYCLOUDY'
  | 'RAINY'
  | 'SNOW'
  | 'SNOWY'
  | 'SUNNY'
  | 'THUNDER';

export interface WeatherDayShortProps {
  condition: WeatherTypes | null;
  temperature: number | null;
}
export type WeatherDayProps = WeatherDayShortProps & {
  humidity: number | null;
  windSpeed: number | null;
};
export interface WeatherForecastsProps {
  weatherInfo: WeatherDayShortProps;
}

export interface WeatherWidgetData {
  forecasts: WeatherForecastsProps[];
  weatherInfo: WeatherDayProps;
}

export type WeatherDayRow = WeatherDayShortProps & {
  weekday: number;
};
