import { makeAutoObservable } from "mobx";

class CityStore {
  city_id: string = "";

  constructor() {
    makeAutoObservable(this);
    this.initialize();
  }

  initialize() {
    this.city_id = localStorage.getItem("city_id") || "1";
  }

  setCityIdAction = (city_id: string) => {
    this.city_id = city_id;
    localStorage.setItem("city_id", city_id);
  };
}

export const cityStore = new CityStore();
